Bug 319321 - eclipse-egit requires git... requires emacs-common = 80 extra megabytes
eclipse-egit requires git... requires emacs-common = 80 extra megabytes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: eclipse-egit (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Konrath
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 17:30 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.3.0-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-05 00:54:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2007-10-04 17:30:55 EDT
Description of problem:
eclipse-egit requires git, git requires all git-* and *-git packages and one 
of them is emacs-git. emacs-git in turn requires emacs-common, which eats more 
than 80 megabytes.

Version-Release number of selected component (if applicable):
git-1.5.3.3-1.fc8
eclipse-egit-0.3.0-1.fc8

How reproducible:
always

Steps to Reproduce:
1. yum install eclipse-egit
  
Actual results:
dependencies end up requiring emacs-common (>80 megabytes most users don't 
need)

Expected results:
emacs stuff should not be installed.

Additional info:
Ray Strode has suggested that maybe eclipse-egit should require git-core, so 
I'm filling this here (not against git). I'm not certain which is the best 
solution, so I leave it up to you to decide :-)
Comment 1 Ben Konrath 2007-10-05 00:54:59 EDT
Hi, thanks for the bug report. I changed the requirement from git to git-core.
Cheers, Ben

Note You need to log in before you can comment on or make changes to this bug.